Queue a rerun from exact original inputs
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/browser-runs/{runId}/reruns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirm": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/browser-runs/{runId}/reruns"
payload = { "confirm": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/browser-runs/{runId}/reruns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"schemaVersion": 1,
"runId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"definition": {
"schemaVersion": 1,
"id": "<string>",
"startUrl": "<string>",
"steps": [],
"assertions": [],
"title": "<string>",
"task": "<string>"
},
"mode": "replay",
"interactive": true,
"state": "queued",
"worldVerified": true,
"version": 4503599627370495,
"createdAtMs": 0,
"updatedAtMs": 0,
"sourceRunId": "<string>",
"testId": "<string>",
"testVersion": 4503599627370495,
"capture": {
"screenshot": "off",
"video": "off",
"trace": "off"
},
"captureConsent": "include-sensitive-content",
"captureMask": [
{
"by": "role",
"role": "button",
"name": "<string>"
}
],
"worldBinding": {
"hostedRunId": "<string>",
"expectedRevision": 4503599627370495,
"packageId": "<string>",
"sessionId": "<string>",
"actorId": "<string>",
"interactionId": "<string>",
"buildHash": "<string>"
},
"worldVerification": {
"state": "pending",
"evidenceBundleId": "<string>",
"verdict": "passed"
},
"startedAtMs": 0,
"finishedAtMs": 0,
"cancelRequestedAtMs": 0,
"error": {
"code": "<string>",
"message": "<string>"
},
"result": {},
"artifact": {
"bytes": 4503599627370495,
"sha256": "<string>",
"mediaType": "application/gzip",
"expiresAtMs": 0
}
}
}{
"run": {
"schemaVersion": 1,
"runId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"definition": {
"schemaVersion": 1,
"id": "<string>",
"startUrl": "<string>",
"steps": [],
"assertions": [],
"title": "<string>",
"task": "<string>"
},
"mode": "replay",
"interactive": true,
"state": "queued",
"worldVerified": true,
"version": 4503599627370495,
"createdAtMs": 0,
"updatedAtMs": 0,
"sourceRunId": "<string>",
"testId": "<string>",
"testVersion": 4503599627370495,
"capture": {
"screenshot": "off",
"video": "off",
"trace": "off"
},
"captureConsent": "include-sensitive-content",
"captureMask": [
{
"by": "role",
"role": "button",
"name": "<string>"
}
],
"worldBinding": {
"hostedRunId": "<string>",
"expectedRevision": 4503599627370495,
"packageId": "<string>",
"sessionId": "<string>",
"actorId": "<string>",
"interactionId": "<string>",
"buildHash": "<string>"
},
"worldVerification": {
"state": "pending",
"evidenceBundleId": "<string>",
"verdict": "passed"
},
"startedAtMs": 0,
"finishedAtMs": 0,
"cancelRequestedAtMs": 0,
"error": {
"code": "<string>",
"message": "<string>"
},
"result": {},
"artifact": {
"bytes": 4503599627370495,
"sha256": "<string>",
"mediaType": "application/gzip",
"expiresAtMs": 0
}
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Queue a rerun from exact original inputs
Requires drill.run, run.read and authoring.run for agent mode. Confirm the exact original runId and use a new Idempotency-Key. Copies standalone immutable inputs and capture policy even if the saved test changed. Does not copy interactive messages. World-bound runs cannot use this endpoint: create against a fresh pending hosted interaction. A new deployment revision also requires a new create request.
Queue a rerun from exact original inputs
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^brun_[a-z0-9]{12,64}$Body
application/json
Pattern:
^brun_[a-z0-9]{12,64}$Response
Mutation result or original idempotency receipt
Show child attributes
Show child attributes